package it.businesslogic.ireport.rmi;

import java.io.File;
import java.rmi.*;

public interface IReportServer extends Remote
{
    /**
   * Used to check if iReport is alive
   */
  public boolean ping() throws RemoteException;
  
   /**
   * Used to show the main window and bring the iReport window on top...
   */
  public boolean setVisible(boolean b) throws RemoteException;
  
  /**
   * Open the file passed as parameter...
   */
  public boolean openFile(String file) throws RemoteException;
  
  public boolean runWizard(String destFile) throws RemoteException;
}

